<?php

/**
 * Copyright (c) 2011, SocEngine SoftWare
 * All rights reserved.

 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ or http://www.oxwall.su/
 * and is licensed under Oxwall Store Commercial License.
 * Full text of this license can be found at http://www.oxwall.org/store/oscl
 */

$billingService = BOL_BillingService::getInstance();

$gateway = new BOL_BillingGateway();
$gateway->gatewayKey = 'billingfreekassa';
$gateway->adapterClassName = 'BILLINGFREEKASSA_CLASS_FreekassaAdapter';
$gateway->active = 0;
$gateway->mobile = 0;
$gateway->recurring = 1;
$gateway->currencies = 'RUB,USD,EUR';

$billingService->addGateway($gateway);

$billingService->addConfig('billingfreekassa', 'fkSecretWord_1', '');
$billingService->addConfig('billingfreekassa', 'fkSecretWord_2', '');
$billingService->addConfig('billingfreekassa', 'fkMerchantId', '');
$billingService->addConfig('billingfreekassa', 'fkCurrency', 'rur');
$billingService->addConfig('billingfreekassa', 'lang', 'ru');
$billingService->addConfig('billingfreekassa', 'tabNum', '1');

OW::getPluginManager()->addPluginSettingsRouteName('billingfreekassa', 'billing_freekassa_admin');

$path = OW::getPluginManager()->getPlugin('billingfreekassa')->getRootDir() . 'langs.zip';
OW::getLanguage()->importPluginLangs($path, 'billingfreekassa');
